FinWise API
SupportChangelog

Delete a category

Delete a category. Reassign existing transactions so they are not left uncategorized.

Request body

reassignToTransactionCategoryIdstringrequired
Category to move transactions to.
DELETE/transaction-categories/a00cb43b-ab06-447c-8aeb-527680b20a50
curl https://api.finwiseapp.io/transaction-categories/a00cb43b-ab06-447c-8aeb-527680b20a50 \
-X DELETE \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json" \
-d '{"reassignToTransactionCategoryId":"f904a437-5080-4d8b-b961-5c6e84623701"}'
const response = await fetch('https://api.finwiseapp.io/transaction-categories/a00cb43b-ab06-447c-8aeb-527680b20a50', {
method: 'DELETE',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"reassignToTransactionCategoryId": "f904a437-5080-4d8b-b961-5c6e84623701"
}),
})
const data = await response.json()
Response
{
"id": "a00cb43b-ab06-447c-8aeb-527680b20a50",
"createdAt": "2026-03-14T09:15:16.817Z",
"updatedAt": "2026-03-14T09:15:16.817Z",
"name": "Groceries",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45",
"transactionCategoryGroupId": "b11db54c-bc17-558d-9bfc-638791c31b61",
"color": "#22c55e",
"emoji": "🥬",
"markTransactionsAsTransfers": null,
"excludeTransactionsFromBudget": null,
"consolidateInBudget": null,
"enableRollover": null,
"rolloverFromDate": null,
"sortIndex": null
}